Contents

# InputBox Function

Zobrazí dialógové okno s výzvou umožňujúcou používateľovi zadať text do poľa. Vstup je priradený premennej.

Príkaz InputBox je vhodná metóda pre zadávanie textu v dialógu. Vstup potvrdíte kliknutím na OK alebo stlačením klávesy Enter. Vstup získate ako návratovú hodnotu funkcie. Ak zavriete dialóg pomocou Zrušiť, InputBox vráti reťazec nulovej dĺžky ("").

### Syntax:

    InputBox (Prompt As String[, Title As String[, Default As String[, xpostwips As Integer, ypostwips As Integer]]]) As String

### Parameters:

prompt: String expression displayed as the message in the dialog box.

title: String expression displayed in the title bar of the dialog box.

default: String expression displayed in the text box as default if no other input is given.

xpostwips: Integer expression that specifies the horizontal position of the dialog. The position is an absolute coordinate and does not refer to the window of LibreOffice.

ypostwips: Integer expression that specifies the vertical position of the dialog. The position is an absolute coordinate and does not refer to the window of LibreOffice.

If xpostwips and ypostwips are omitted, the dialog is centered on the screen. The position is specified in twips.

### Return type:

Reťazec

### Example:

    Sub ExampleInputBox
    Dim sText As String
        sText = InputBox ("Zadaj heslo:","Drahý používateľ")
        MsgBox ( sText , 64, "Zopakuj heslo")
    End Sub